summaryrefslogtreecommitdiffstats
path: root/source/x/xdg-utils/xdg-utils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/xdg-utils/xdg-utils.SlackBuild')
-rwxr-xr-xsource/x/xdg-utils/xdg-utils.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/source/x/xdg-utils/xdg-utils.SlackBuild b/source/x/xdg-utils/xdg-utils.SlackBuild
index 77f19a252..97d93cf85 100755
--- a/source/x/xdg-utils/xdg-utils.SlackBuild
+++ b/source/x/xdg-utils/xdg-utils.SlackBuild
@@ -4,7 +4,7 @@
# Written by Erik Hanson erik@slackbuilds.org
# Modified for VERSION version by Patrick Volkerding <volkerdi@slackware.com>
-# Copyright 2008, 2009, 2010, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2018, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,10 +27,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xdg-utils
-VERSION=1.1.3
+VERSION=1.2.1
PKG_VERSION=${VERSION/-/_}
ARCH=noarch
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -50,9 +50,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP || exit 1
-rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
-cd $PKGNAM-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION $PKGNAM-v$VERSION
+tar xvf $CWD/$PKGNAM-v$VERSION.tar.?z || tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-v$VERSION || cd $PKGNAM-$VERSION || exit 1
# Fix xdg-open usage in LXDE:
zcat $CWD/xdg-open.no.relative.paths.diff.gz | patch -p1 --verbose || exit 1